emailFileAssessmentRequest リソースの種類

threatAssessmentRequestから派生した電子メール ファイルの脅威評価を作成および取得するために使用されます。

電子メール ファイルには、.eml ファイルの種類を指定できます。

メソッド

メソッド 戻り値の型 説明
Create threatAssessmentRequest emailFileAssessmentRequest emailFileAssessmentRequest オブジェクトを投稿して、新しい電子メール ファイル評価要求を作成します。
Get threatAssessmentRequest emailFileAssessmentRequest emailFileAssessmentRequest オブジェクトのプロパティとリレーションシップを読み取る。

プロパティ

プロパティ 種類 説明
contentData String Base64 エンコードされた .eml メール ファイルのコンテンツ。 ファイルコンテンツは保存されていないので、取得できません。
destinationRoutingReason mailDestinationRoutingReason 宛先にルーティングされたメールの理由。 指定できる値は none mailFlowRule safeSender 、、、、、 です blockedSender advancedSpamFiltering domainAllowList domainBlockList notInAddressBook firstTimeSender autoPurgeToInbox autoPurgeToJunk autoPurgeToDeleted outbound notJunk junk
recipientEmail String ポリシーを使用してメールを評価するメール受信者。
category threatCategory 脅威カテゴリ。 可能な値は spamphishingmalware です。
contentType threatAssessmentContentType 脅威評価のコンテンツ タイプ。 可能な値は mailurlfile です。
createdBy identitySet 脅威評価要求作成者。
createdDateTime DateTimeOffset Timestamp 型は、ISO 8601 形式を使用して日付と時刻の情報を表し、常に UTC 時間です。 たとえば、2014 年 1 月 1 日午前 0 時 (UTC) は、2014-01-01T00:00:00Z です。
expectedAssessment threatExpectedAssessment 提出者からの予想される評価。 可能な値は、blockunblock です。
id String 脅威評価要求 ID は、グローバル一意識別子 (GUID) です。
requestSource threatAssessmentRequestSource 脅威評価要求のソース。 指定できる値は次のとおりです administrator
status threatAssessmentStatus 評価プロセスの状態。 可能な値: pendingcompleted

リレーションシップ

リレーションシップ 説明
results threatAssessmentResult コレクション 脅威評価結果のコレクション。 読み取り専用です。 既定では、a GET /threatAssessmentRequests/{id} は適用しない限り、このプロパティを $expand 返します。

JSON 表記

リソースの JSON 表記を次に示します。

{
  "contentData": "String",
  "destinationRoutingReason": "String",
  "recipientEmail": "String",
  "category": "String",
  "contentType": "String",
  "createdBy": {"@odata.type": "microsoft.graph.identitySet"},
  "createdDateTime": "String (timestamp)",
  "expectedAssessment": "String",
  "id": "String (identifier)",
  "requestSource": "String",
  "status": "String"
}